% ploting the amplitude characteristic of the notch filter with 
% various attenuation ratios (notch depth) and bandwidths (notch width). 



wnf = 1;
close all; 

xp  = 1;
xz  = xp/10;
den = [1 2*xp*wnf wnf*wnf];
num = [1 2*xz*wnf wnf*wnf];
[mag,phase,ww] = bode(tf(num,den)); 
plot(log10(ww(:)),20*log10(mag(:))); hold on; 


xp  = 0.5;
xz  = xp/10;
den = [1 2*xp*wnf wnf*wnf];
num = [1 2*xz*wnf wnf*wnf];
[mag,phase,ww] = bode(tf(num,den)); 
plot(log10(ww(:)),20*log10(mag(:))); 

xp  = 0.2;
xz  = xp/10;
den = [1 2*xp*wnf wnf*wnf];
num = [1 2*xz*wnf wnf*wnf];
[mag,phase,ww] = bode(tf(num,den)); 
plot(log10(ww(:)),20*log10(mag(:))); 

axis([-1 1 -25 5]);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
pause 

close all; 

xp  = 1;
xz = 0.5;
den = [1 2*xp*wnf wnf*wnf];
num = [1 2*xz*wnf wnf*wnf];
[mag,phase,ww] = bode(tf(num,den)); 
plot(log10(ww(:)),20*log10(mag(:))); hold on; 

xz  = 0.25;
num = [1 2*xz*wnf wnf*wnf];
[mag,phase,ww] = bode(tf(num,den)); 
plot(log10(ww(:)),20*log10(mag(:))); 

xz  = 0.1;
den = [1 2*xp*wnf wnf*wnf];
num = [1 2*xz*wnf wnf*wnf];
[mag,phase,ww] = bode(tf(num,den)); 
plot(log10(ww(:)),20*log10(mag(:))); 

axis([-1 1 -25 5]);
